Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
ai_mode
/
live
/
advanced
Live Google AI Mode SERP
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/ai_mode/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_code": 123,
  "location_name": "<string>",
  "location_coordinate": "<string>",
  "language_name": "<string>",
  "language_code": "<string>",
  "device": "<string>",
  "calculate_rectangles": true,
  "browser_screen_width": 123,
  "browser_screen_height": 123,
  "browser_screen_resolution_ratio": 123
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/ai_mode/live/advanced"

payload = {
"keyword": "<string>",
"location_code": 123,
"location_name": "<string>",
"location_coordinate": "<string>",
"language_name": "<string>",
"language_code": "<string>",
"device": "<string>",
"calculate_rectangles": True,
"browser_screen_width": 123,
"browser_screen_height": 123,
"browser_screen_resolution_ratio": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
location_code: 123,
location_name: '<string>',
location_coordinate: '<string>',
language_name: '<string>',
language_code: '<string>',
device: '<string>',
calculate_rectangles: true,
browser_screen_width: 123,
browser_screen_height: 123,
browser_screen_resolution_ratio: 123
})
};

fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/ai_mode/live/advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ],
  "tasks[].result[].keyword": "<string>",
  "tasks[].result[].type": "<string>",
  "tasks[].result[].se_domain": "<string>",
  "tasks[].result[].location_code": 123,
  "tasks[].result[].language_code": "<string>",
  "tasks[].result[].check_url": "<string>",
  "tasks[].result[].item_types": [
    "<string>"
  ],
  "tasks[].result[].items_count": 123,
  "tasks[].result[].items": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

Keyword; you can specify up to 700 characters

location_code
integer

Search engine location code; required if location_name or location_coordinate is not specified

location_name
string

Full name of search engine location; required if location_code or location_coordinate is not specified

location_coordinate
string

GPS coordinates of a location; required if location_name or location_code is not specified

language_name
string

Full name of search engine language; required if language_code is not specified

language_code
string

Search engine language code; required if language_name is not specified

device
string

Device type: desktop or mobile

calculate_rectangles
boolean

Enable pixel ranking calculations for elements in SERP

browser_screen_width
integer

Custom browser screen width

browser_screen_height
integer

Custom browser screen height

browser_screen_resolution_ratio
number

Screen resolution ratio for rectangle calculations

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks_count
integer

The number of tasks in the tasks array

tasks_error
integer

The number of tasks in the tasks array returned with an error

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of live SERP results

tasks[].result[].keyword
string

Keyword received in the POST array

tasks[].result[].type
string

Search engine type in the POST array

tasks[].result[].se_domain
string

Search engine domain in the POST array

tasks[].result[].location_code
integer

Location code in the POST array

tasks[].result[].language_code
string

Language code in the POST array

tasks[].result[].check_url
string

Search URL with refinement parameters

tasks[].result[].item_types
string[]

Types of search results found in SERP

tasks[].result[].items_count
integer

Number of results returned in the items array

tasks[].result[].items
string[]

Elements of search results found in SERP